﻿<?php // convert.php
  $f = $c = '';

  if (isset($_POST['f'])) $f = sanitizeString($_POST['f']);
  if (isset($_POST['c'])) $c = sanitizeString($_POST['c']);

  if ($f != '')
  {
    $c = intval((5 / 9) * ($f - 32));
    $out = "$f °F équivaut à $c °C";
  }
  elseif($c != '')
  {
    $f = intval((9 / 5) * $c + 32);
    $out = "$c °C équivaut à $f °F";
  }
  else $out = "";

  echo <<<_END
<html>
  <head>
    <title>Convertisseur de températures</title>
  </head>
  <body>
    <pre>
      Entrez soit les °F, soit les °C et cliquez sur Convertir
        
      <b>$out</b>
      <form method="post" action="convert.php">
        Fahrenheit <input type="text" name="f" size="7">
           Celsius <input type="text" name="c" size="7">
                   <input type="submit" value="Convertir">
      </form>
    </pre>
  </body>
</html>
_END;

  function sanitizeString($var)
  {
    $var = stripslashes($var);
    $var = strip_tags($var);
    $var = htmlentities($var);
    return $var;
  }
?>
